<?php
/**
 * Project: 2moons 2.0
 * File: vote.php
 * Créator: Danter14
 * Date, Time: 06/06/2018, 19:57
 */

class ShowVotePage extends AbstractGamePage
{
    public static $requireModule = 0;
    function __construct()
    {
        parent::__construct();
    }

    function show()
    {
        global $USER, $PLANET, $LNG;

        $db = Database::get();
        $timp = $USER['onlinetime'] + 30*60;

        if($_POST){
            if($_POST['get'] == 1){
                if($timp > TIMESTAMP){
                    $this->printMessage($LNG['vo_colected'], array("?page=vote", 2));
                    die();
                } elseif(($_POST["captcha"] == $_SESSION["security_code"]) &&
                    (!empty($_POST["captcha"]) && !empty($_SESSION["security_code"]))) {
                    $USER['darkmatter']	+= 500;
                    $this->printMessage(sprintf('Account succesfully updated with 500 DarkMatter!'), "game.php?page=vote", 2);
                    die();
                } else {
                    $this->printMessage(sprintf('Captcha error'), "game.php?page=vote", 2);
                    die();
                }
            }
        } elseif(!empty($_GET['i'])) {
            $vote_id = (int)$_GET['i'];

            $cautare = $db->selectSingle("SELECT * FROM `uni1_votesystem` where `id` = :id_vote;", [
                ':id_vote' => $vote_id
            ]);

            if(count($cautare) == 0){
                $this->printMessage(sprintf('Dont try anything , wont work'), "game.php?page=vote", 2);
                die();
            }

            $find_vote = $db->selectSingle("SELECT * FROM `uni1_votesystem_log` WHERE `user_id` = :userID AND `vote_system_id` = :id_vote ;", [
                ':id_vote' => $vote_id,
                ':userID' => $USER['id']
            ]);

            if(count($find_vote) > 0){
                $find = $find_vote;
                if(TIMESTAMP < ($find['time']+12*60*60)){
                    $this->printMessage($LNG['vo_colected'], array("?page=vote", 2));
                    die();
                }else{
                    $USER['darkmatter']	+= 500;

                    $db->update("UPDATE `uni1_votesystem_log` SET `time` = :timeVoting WHERE `user_id` = :userID AND `vote_system_id` = :id_vote ;", [
                        ':timeVoting' => TIMESTAMP,
                        ':id_vote' => $vote_id,
                        ':userID' => $USER['id']
                    ]);

                    header("Location: ".$cautare['link']);
                }

            } else {

                $USER['darkmatter']	+= 500;
                $db->insert("INSERT INTO `uni1_votesystem_log` VALUES (:userID, :timeVoting, :id_vote)", [
                    ':timeVoting' => TIMESTAMP,
                    ':id_vote' => $vote_id,
                    ':userID' => $USER['id']
                ]);

                header("Location: ".$cautare['link']);
            }
        }

        $captcha =0;

        if(!empty($USER['onlinetime']) && ($timp < TIMESTAMP)) {
            $x = "<input type='submit' value='Collect'>";
            $y = "<font color='lime'>00:00</font>";
            $captcha = 1;
        } elseif(empty($USER['onlinetime'])) {
            $x = "<input type='submit' value='Collect'>";
            $y = "<font color='lime'>00:00</font>";
            $captcha = 1;
        } else {
            $secunde = ($USER['onlinetime']+30*60)-TIMESTAMP;
            $y = "<font color='red'><span class=countdown2 secs=".$secunde."></span></font>";
            $x = "<input type='submit' value='Collect' disabled>";
        }

        $find_vote = $db->select("SELECT * FROM `uni1_votesystem`;");
        $votes = array();

        foreach($find_vote as $vote) {
            $find = $db->selectSingle("SELECT * FROM `uni1_votesystem_log` WHERE `user_id` = :userID AND `vote_system_id` = :id_vote ;", [
                ':id_vote' => $vote['id'],
                ':userID' => $USER['id']
            ]);

            $votes[$vote['id']]= array();
            $votes[$vote['id']]['pic'] = $vote['image'];

            if(count($find) > 0) {

                if(TIMESTAMP < ($find['time']+12*60*60)) {
                    $secunde = $find['time']+12*60*60 - TIMESTAMP;
                    $votes[$vote['id']]['link'] = '<font color=\'red\'><span class=countdown2 secs='.$secunde.'></span></font>';
                } else {
                    $votes[$vote['id']]['link'] = '<font color=lime><a href=game.php?page=vote&i='.$vote['id'].' target=\"_blank\">Vote</a></font>';
                }
                
            } else {
                $votes[$vote['id']]['link'] = '<font color=lime><a href=game.php?page=vote&i='.$vote['id'].' target=\"_blank\">Vote</a></font>';
            }
        };

        $this->tplObj->loadscript("jquery.countdown.js");
        $this->tplObj->assign_vars(array(
            'x' => $x,
            'y' => $y,
            'captcha' => $captcha,
            'voturile' => $votes,
        ));

        $this->display('page.vote.default.tpl');
    }
}
?>